#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 typst
version:              0.3.1.0
visibility:           public
id:                   typst-0.3.1.0-Abl8EqUzC8nKBda69YGd64
key:                  typst-0.3.1.0-Abl8EqUzC8nKBda69YGd64
license:              BSD-3-Clause
copyright:            Copyright 2023 John MacFarlane
maintainer:           jgm@berkeley.edu
author:               John MacFarlane
synopsis:             Parsing and evaluating typst syntax.
description:
    A library for parsing and evaluating typst syntax.
    Typst (<https://typst.app>) is a document layout and
    formatting language. This library targets typst 0.6
    and currently offers only partial support.

category:             Text
abi:                  d11eb43120c5280d42ce97f29607c180
exposed:              True
exposed-modules:
    Typst Typst.Evaluate Typst.Methods Typst.Parse Typst.Syntax
    Typst.Types Typst.Util

hidden-modules:
    Typst.Bind Typst.Regex Typst.Show Typst.Module.Standard
    Typst.Module.Math Typst.Module.Calc

import-dirs:          /usr/lib/ghc-9.0.2/site-local/typst-0.3.1.0
library-dirs:         /usr/lib/ghc-9.0.2/site-local/typst-0.3.1.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-typst
hs-libraries:         HStypst-0.3.1.0-Abl8EqUzC8nKBda69YGd64
depends:
    aeson-2.1.2.1-GnWfeeQpoVOBig4HoIDDG9 array-0.5.4.0 base-4.15.1.0
    bytestring-0.10.12.1 cassava-0.5.3.0-1X6Dyqsl3B2DGtuT65OZ1q
    containers-0.6.4.1 digits-0.3.1-mMNKnU53MH5BgDsXPzauk
    directory-1.3.6.2 filepath-1.4.2.1 mtl-2.2.2
    ordered-containers-0.2.3-1tstpx5kksg3nCXqs5HGNP parsec-3.1.14.0
    pretty-1.1.3.6 regex-tdfa-1.3.2.2-21KLItrHKbUHkCP2A3SKNM
    scientific-0.3.7.0-AejKlNxs4tarEm4tm38IP text-1.2.5.0 time-1.9.3
    toml-parser-1.3.0.0-EX6f0D4x8TDHiSgy76E8c5
    typst-symbols-0.1.2-ABpKFSlfFVPEMuyaNAU1ZA
    vector-0.13.0.0-DcAY6cFNWmp2QJjfa2GrVo
    xml-conduit-1.9.1.3-EFOwWsz7U1fJkfxauSBlTI
    yaml-0.11.11.2-GPEHbrboah1LeOlLak3C4U

haddock-interfaces:   /usr/share/doc/haskell-typst/html/typst.haddock
haddock-html:         /usr/share/doc/haskell-typst/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

